Bug 959545 - Manually created composite operations fail in the CLI
Summary: Manually created composite operations fail in the CLI
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: CLI
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER7
: EAP 6.1.0
Assignee: Brian Stansberry
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-03 18:15 UTC by Brian Stansberry
Modified: 2013-07-23 18:41 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Brian Stansberry 2013-05-03 18:15:47 UTC
Description of problem:

Composite operations manually entered in the CLI (i.e. not using the "batch" high level commands) always fail with "Operation 'composite' does not expect any property."

Version-Release number of selected component (if applicable):

6.1.0.ER5

How reproducible:

Always

Steps to Reproduce:

Use the CLI and manually enter a composite operation, e.g. the simplest possible composite:

[standalone@localhost:9999 /] /:composite(steps=[{"operation"=>"read-resource"}])
  
Actual results:

[standalone@localhost:9999 /] /:composite(steps=[{"operation"=>"read-resource"}])
Operation 'composite' does not expect any property.

Expected results:

A result include a read of the root resource.


Additional info:

Aleksandar Kostadinov initially reported this in https://bugzilla.redhat.com/show_bug.cgi?id=900801#c24. It's not really related to #900801 though.

Comment 3 Radim Hatlapatka 2013-05-09 14:14:20 UTC
Verified in EAP 6.1.0.ER7


Note You need to log in before you can comment on or make changes to this bug.